> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/nfts/list-all-distinct-owned-tokens-paginated",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List all distinct owned tokens (paginated)

> Returns all owned distinct tokens (for your tenant) and their data in your workspace.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /nfts/ownership/assets
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /nfts/ownership/assets:
    get:
      tags:
        - NFTs
      summary: List all distinct owned tokens (paginated)
      description: >
        Returns all owned distinct tokens (for your tenant) and their data in
        your workspace.
      operationId: listOwnedTokens
      parameters:
        - name: ncwId
          required: false
          in: query
          description: Tenant's Non-Custodial Wallet ID
          schema:
            type: string
        - name: walletType
          required: false
          in: query
          description: Wallet type, it can be `VAULT_ACCOUNT` or `END_USER_WALLET`
          schema:
            default: VAULT_ACCOUNT
            enum:
              - VAULT_ACCOUNT
              - END_USER_WALLET
            type: string
        - name: pageCursor
          required: false
          in: query
          description: Page cursor to fetch
          schema:
            type: string
        - name: pageSize
          required: false
          in: query
          description: Items per page (max 100)
          schema:
            minimum: 1
            maximum: 100
            type: number
        - name: sort
          required: false
          in: query
          description: >-
            Sort by param, it can be one param or a list of params separated by
            comma
          schema:
            type: array
            items:
              type: string
              enum:
                - name
        - name: order
          required: false
          in: query
          description: >-
            Order direction, it can be `ASC` for ascending or `DESC` for
            descending
          schema:
            default: ASC
            enum:
              - DESC
              - ASC
            type: string
        - name: status
          required: false
          in: query
          description: Token ownership status
          schema:
            default: LISTED
            enum:
              - LISTED
              - ARCHIVED
            type: string
        - name: search
          required: false
          in: query
          description: Search owned tokens by token name
          schema:
            maximum: 100
            type: string
        - name: spam
          required: false
          in: query
          description: Token ownership spam status.
          schema:
            enum:
              - 'true'
              - 'false'
              - all
            type: string
      responses:
        '200':
          description: ''
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListOwnedTokensResponse'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<ListOwnedTokensResponse>>
            = fireblocks.nFTs.listOwnedTokens(nFTsApiListOwnedTokensRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ListOwnedTokensResponse>> response =
            fireblocks.nFTs().listOwnedTokens(ncwId, walletType, pageCursor,
            pageSize, sort, order, status, search, spam);
        - lang: Python
          source: >-
            response = fireblocks.n_f_ts.list_owned_tokens(ncw_id, wallet_type,
            page_cursor, page_size, sort, order, status, search, spam);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ListOwnedTokensResponse:
      type: object
      properties:
        paging:
          $ref: '#/components/schemas/Paging'
        data:
          type: array
          items:
            $ref: '#/components/schemas/TokenResponse'
    Paging:
      type: object
      properties:
        next:
          type: string
          description: Cursor to the next page
      required:
        - next
    TokenResponse:
      type: object
      properties:
        id:
          type: string
          description: The Fireblocks NFT asset id
        tokenId:
          type: string
          description: Token id within the contract/collection
        standard:
          type: string
          description: ERC721 / ERC1155
        metadataURI:
          type: string
          description: URL of the original token JSON metadata
        cachedMetadataURI:
          type: string
          description: URL of the cached token JSON metadata
        media:
          description: Media items extracted from metadata JSON
          type: array
          items:
            $ref: '#/components/schemas/MediaEntityResponse'
        spam:
          description: Token spam status
          allOf:
            - $ref: '#/components/schemas/SpamTokenResponse'
        collection:
          description: Parent collection information
          allOf:
            - $ref: '#/components/schemas/TokenCollectionResponse'
        blockchainDescriptor:
          enum:
            - ETH
            - ETH_TEST3
            - ETH_TEST5
            - ETH_TEST6
            - POLYGON
            - POLYGON_TEST_MUMBAI
            - AMOY_POLYGON_TEST
            - XTZ
            - XTZ_TEST
            - BASECHAIN_ETH
            - BASECHAIN_ETH_TEST3
            - BASECHAIN_ETH_TEST5
            - ETHERLINK
            - ETHERLINK_TEST
            - MANTLE
            - MANTLE_TEST
            - GUN_GUNZILLA
            - GUN_GUNZILLA_TEST
            - ETH_SONEIUM
            - SONEIUM_MINATO_TEST
            - IOTX_IOTEX
            - KLAY_KAIA
            - KLAY_KAIA_TEST
            - APECHAIN
            - APECHAIN_TEST
            - CRONOS
            - CRONOS_TEST
            - ROBINHOOD_CHAIN_TESTNET_TEST
          type: string
        description:
          type: string
        name:
          type: string
      required:
        - id
        - tokenId
        - standard
        - blockchainDescriptor
    MediaEntityResponse:
      type: object
      properties:
        url:
          type: string
          description: Cached accessible URL
        contentType:
          type: string
          enum:
            - IMAGE
            - VIDEO
            - ANIMATION
            - THREE_D
            - TEXT
            - GIF
            - UNKNOWN_TYPE
            - SVG
            - AUDIO
          description: Media type
      required:
        - url
        - contentType
    SpamTokenResponse:
      type: object
      properties:
        result:
          type: boolean
          description: Token spam result
      required:
        - result
    TokenCollectionResponse:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        symbol:
          type: string
      required:
        - id

````